## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iHazeFactoryState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the sprite factory mesh object. More...

`#include <imesh/haze.h>`

Inheritance diagram for iHazeFactoryState:

[legend]
List of all members.

## Public Member Functions

virtual void | AddLayer (iHazeHull *hull, float scale)=0
| add a new layer - increasing the layer count
virtual const csVector3 & | GetDirectional () const =0
| Get the topmiddle point of the texture.
virtual int | GetLayerCount () const =0
| Get the number of layers of hulls.
virtual iHazeHull * | GetLayerHull (int layer) const =0
| Get the convex hull used for layer.
virtual float | GetLayerScale (int layer) const =0
| Get the layer scale.
virtual iMaterialWrapper * | GetMaterialWrapper () const =0
| Get material of sprite.
virtual uint | GetMixMode () const =0
| Get mix mode.
virtual const csVector3 & | GetOrigin () const =0
| Get the point of origin.
virtual void | SetDirectional (const csVector3 &pos)=0
| Set the topmiddle point of the texture.
virtual void | SetLayerHull (int layer, iHazeHull *hull)=0
| Set the convex hull to be used as layer. Increfs the hull.
virtual void | SetLayerScale (int layer, float scale)=0
| Set the texture percentage used by a layer (total of 1.0 is max).
virtual void | SetMaterialWrapper (iMaterialWrapper *material)=0
| Set material of sprite.
virtual void | SetMixMode (uint mode)=0
| Set mix mode.
virtual void | SetOrigin (const csVector3 &pos)=0
| Set the point of origin, the center of the texture.

## Detailed Description

This interface describes the API for the sprite factory mesh object.

When multiple hulls are used, they must have the same number of vertices, vertices are taken to be numbered in the same ordering.

The factory also implements the iHazeHullCreation interface

Definition at line 129 of file haze.h.

## Member Function Documentation

virtual void iHazeFactoryState::AddLayer | ( | iHazeHull * | hull,
|  | float | scale
| ) | `[pure virtual]`

| add a new layer - increasing the layer count

virtual const csVector3& iHazeFactoryState::GetDirectional | ( |  | ) | const`[pure virtual]`

| Get the topmiddle point of the texture.

virtual int iHazeFactoryState::GetLayerCount | ( |  | ) | const`[pure virtual]`

| Get the number of layers of hulls.

virtual iHazeHull* iHazeFactoryState::GetLayerHull | ( | int | layer | ) | const`[pure virtual]`

| Get the convex hull used for layer.

virtual float iHazeFactoryState::GetLayerScale | ( | int | layer | ) | const`[pure virtual]`

| Get the layer scale.

virtual iMaterialWrapper* iHazeFactoryState::GetMaterialWrapper | ( |  | ) | const`[pure virtual]`

| Get material of sprite.

virtual uint iHazeFactoryState::GetMixMode | ( |  | ) | const`[pure virtual]`

| Get mix mode.

virtual const csVector3& iHazeFactoryState::GetOrigin | ( |  | ) | const`[pure virtual]`

| Get the point of origin.

virtual void iHazeFactoryState::SetDirectional | ( | const csVector3 & | pos | ) | `[pure virtual]`

| Set the topmiddle point of the texture.

virtual void iHazeFactoryState::SetLayerHull | ( | int | layer,
|  | iHazeHull * | hull
| ) | `[pure virtual]`

| Set the convex hull to be used as layer. Increfs the hull.

virtual void iHazeFactoryState::SetLayerScale | ( | int | layer,
|  | float | scale
| ) | `[pure virtual]`

| Set the texture percentage used by a layer (total of 1.0 is max).

virtual void iHazeFactoryState::SetMaterialWrapper | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

| Set material of sprite.

virtual void iHazeFactoryState::SetMixMode | ( | uint | mode | ) | `[pure virtual]`

| Set mix mode.

virtual void iHazeFactoryState::SetOrigin | ( | const csVector3 & | pos | ) | `[pure virtual]`

| Set the point of origin, the center of the texture.

The documentation for this struct was generated from the following file:

- imesh/haze.h